你好,游客 登录 注册 搜索
背景:
阅读新闻

Bouncy Castle信息泄露漏洞(CVE-2017-13098)

[日期:2017-12-20] 来源:Linux社区  作者:Linux [字体: ]
Bouncy Castle信息泄露漏洞(CVE-2017-13098)


发布日期:2017-12-12
更新日期:2017-12-20

受影响系统:

Bouncy Castle Bouncy Castle < 1.0.3

描述:


BUGTRAQ  ID: 102195
CVE(CAN) ID: CVE-2017-13098

BouncyCastle是(轻量级密码术包)是用于 Java 平台的开放源码的轻量级密码术包。

BouncyCastle TLS < 1.0.3版本,配置为使用JCE加密后,协商任何使用RSA密钥交换的TLS密钥组时会提供弱Bleichenbacher Oracle,这可使攻击者恢复密钥,此漏洞也称为ROBOT。

<*来源:Juraj Somorovsky
  *>

建议:


厂商补丁:

Bouncy Castle
-------------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

https://bugzilla.redhat.com/show_bug.cgi?id=1525528
https://github.com/bcgit/bc-java/commit/a00b684465b38d722ca9a3543b8af8568e6bad5c
https://access.redhat.com/security/cve/CVE-2017-13098
http://www.kb.cert.org/vuls/id/CHEU-AT5U7K
http://www.kb.cert.org/vuls/id/144389

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-12/149624.htm

linux
相关资讯       BouncyCastle 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款